#include <catsfoot_testing.hh>
#include <algorithm>
#include <string>
#include <random>
#include <fstream>
#include <sstream>
#include <memory>

using namespace catsfoot;

#include "monoid.hh"
#include "class_check.hh"
#include "foo.hh"
#include "foo_no_overload.hh"
#include "is_printable.hh"
#include "lvalue_predicate.hh"
#include "specialization.hh"
#include "axioms.hh"
#include "take5.hh"

int main() {
  uint_fast32_t seed;
  {
    std::ifstream urandom("/dev/urandom");
    urandom.read((char*)&seed, sizeof(uint_fast32_t));
  }
  std::mt19937 engine(seed);

  assert(simple_test());
  assert(!random_test(engine));
  assert(test_getList(engine));

  return 0;
}
