// This file is a part of Catsfoot.
// Copyright (C) 2011  Uni Research
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser Public License for more details.
//
// You should have received a copy of the GNU Lesser Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef __CATSFOOT_HH
# define __CATSFOOT_HH

/// \defgroup UserTraits User type traits
/// \{
/// \}

/// \defgroup Concepts Concepts
/// \{
/// \}

/// \defgroup Predicates Predicates
/// \{
/// \}

/// \defgroup DataGen Data generators
/// \{
/// \}

/// \brief Main namespace for Catsfoot
namespace catsfoot {
}

namespace catsfoot {
  /// \brief Implementation details for Catsfoot
  namespace details {
  }
}

/// \defgroup TypeTraits Type traits

# include <catsfoot-config.hh>
# include "axioms/axioms.hh"
# include "concept/concept_tools.hh"
# include "type_traits/is_callable.hh"
# include "type_traits/type_member.hh"
# include "wrappers/members.hh"
# include "wrappers/constant.hh"
# include "concept/congruence.hh"
# include "concept/product.hh"
# include "dataset/dataset.hh"
# include "dataset/pick.hh"
# include "dataset/random_term_generator.hh"
# include "dataset/choose.hh"
# include "drivers/test_driver.hh"
# include "drivers/test_all_driver.hh"

#endif
