// This file is a part of Catsfoot.
// Copyright (C) 2011  Uni Research
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser Public License for more details.
//
// You should have received a copy of the GNU Lesser Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include <concept/concepts.hh>
#include <drivers/test_all_driver.hh>
#include <dataset/choose.hh>

#include "monoid.hh"

#include "foo.hh"
#include "class.hh"
#include "specialization.hh"
#include "checks.hh"

struct A { A() = default; };
A operator+(const A&, const A&) { return A(); }
bool operator==(const A&, const A&) { return true; }

struct B{};

namespace catsfoot {
  template <>
  struct verified<monoid<A, op_plus,
			 wrapped_constructor<A()> > >:
    public std::true_type {
  };
}

int main() {
  foo(0, 1, 2);
  foo(A(), A(), A());

  //bar(0, 1, 2);
  //bar(A(), A(), A());

  //Foo<int> a;
  //Foo<B> b;

  run_checks();
}
